Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Math::BigInt::CalcEmu

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Math::BigInt::CalcEmu

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - __emu_bxor
  - __emu_band
  - __emu_bior
- LICENSE
- AUTHORS
- SEE ALSO

# NAME

Math::BigInt::CalcEmu - Emulate low-level math with BigInt code

# SYNOPSIS

    	use Math::BigInt::CalcEmu;

# DESCRIPTION

Contains routines that emulate low-level math functions in BigInt, e.g. optional routines the low-level math package does not provide on its own.

Will be loaded on demand and called automatically by BigInt.

Stuff here is really low-priority to optimize, since it is far better to implement the operation in the low-level math library directly, possible even using a call to the native lib.

# METHODS

## __emu_bxor

## __emu_band

## __emu_bior

# LICENSE

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

# AUTHORS

(c) Tels http://bloodgate.com 2003, 2004 - based on BigInt code by Tels from 2001-2003.

# SEE ALSO

Math::BigInt, Math::BigFloat, Math::BigInt::BitVect, Math::BigInt::GMP and Math::BigInt::Pari.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - __emu_bxor
  - __emu_band
  - __emu_bior
- LICENSE
- AUTHORS
- SEE ALSO